Update README file about optional plugins.
authorAndriy Grytsenko <andrej@rep.kiev.ua>
Sun, 21 Sep 2014 22:57:03 +0000 (01:57 +0300)
committerAndriy Grytsenko <andrej@rep.kiev.ua>
Sun, 21 Sep 2014 22:58:13 +0000 (01:58 +0300)
README
configure.ac

diff --git a/README b/README
index 9bcb160..a8ca465 100644 (file)
--- a/README
+++ b/README
@@ -2,9 +2,13 @@ LXPanel is a lightweight X11 desktop panel.
 
 To build this program you need some development packages:
   libtool 2.2 or newer, intltool, libgtk 2.18 or newer,
-  libfm-gtk 1.2 or newer, wireless-tools, libxml-2.0, libwnck.
+  libfm-gtk 1.2 or newer, libwnck.
 Optional development packages may be required to build some modules:
-  libmenu-cache, libalsasound, libindicator 0.3.0.
+  libmenu-cache,
+  libalsasound ('volumealsa' plugin isn't built if missing),
+  libindicator 0.3.0 ('indicator' plugin isn't built if missing),
+  wireless-tools (required to build 'netstat' plugin),
+  libxml-2.0 (required to build 'weather' plugin).
 
 To install this program, three other packages are needed:
   menu-cache, libfm-gtk, lxmenu-data.
index ae4f394..8c49f8f 100644 (file)
@@ -225,7 +225,7 @@ AC_ARG_WITH(plugins,
 [                         plugins prefixed with '-' are not built]
 [                         Possible plugins are: ]
 [                         netstatus, netstat, volume, volumealsa, cpu, deskno, batt,]
-[                         kbled, xkb, thermal, cpufreq, monitors, weather]
+[                         kbled, xkb, thermal, cpufreq, monitors, indicator, weather]
 , plugins="$withval",[plugins="all"])
 
 if test x"$plugins" != xall -a x"$plugins" != xnone; then